unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, JimBeerLabel, ComCtrls, JimBeerForJim;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    LabelSheet: TTabSheet;
    BeerForJimSheet: TTabSheet;
    JimBeerLabel1: TJimBeerLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    BeerNameEdit: TEdit;
    NumCasesEdit: TEdit;
    CardNumberEdit: TEdit;
    ExpiryDateEdit: TEdit;
    JimBeerLabel2: TJimBeerLabel;
    BeerForJim: TJimBeerForJim;
    procedure JimBeerLabel1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure JimBeerLabel2Click(Sender: TObject);
    procedure BeerForJimGetEmailBody(Sender: TObject; var Value: String);
  private
    procedure SetFormValues;
    procedure GetFormValues;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  PageControl1.ActivePageIndex := 0;
  SetFormValues;
end;


procedure TForm1.JimBeerLabel1Click(Sender: TObject);
begin
  ShowMessage('He likes his beer cold');
end;


procedure TForm1.JimBeerLabel2Click(Sender: TObject);
begin
  GetFormValues;
  BeerForJim.Execute;
end;


procedure TForm1.BeerForJimGetEmailBody(Sender: TObject;var Value: String);
begin
  Value := Value + '    Best wishes, all at BUG meeting 16th Sep 2003';
end;


procedure TForm1.GetFormValues;
begin
  BeerForJim.BeerName       := BeerNameEdit.Text;
  BeerForJim.CaseCount      := StrToIntDef(NumCasesEdit.Text,0);
  BeerForJim.CardNumber     := CardNumberEdit.Text;
  BeerForJim.CardExpiryDate := ExpiryDateEdit.Text;
end;


procedure TForm1.SetFormValues;
begin
  BeerNameEdit.Text   := BeerForJim.BeerName;
  NumCasesEdit.Text   := IntToStr(BeerForJim.CaseCount);
  CardNumberEdit.Text := BeerForJim.CardNumber;
  ExpiryDateEdit.Text := BeerForJim.CardExpiryDate;
end;


end.
